net.minecraft.entity.passive

## Class EntityHorse

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.EntityLiving
      - - net.minecraft.entity.EntityCreature
        - - net.minecraft.entity.EntityAgeable
          - - net.minecraft.entity.passive.EntityAnimal
            - - net.minecraft.entity.passive.EntityHorse

- All Implemented Interfaces:
    IAnimals, IInvBasic

      public class EntityHorse
      extends EntityAnimal
      implements IInvBasic

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `field_110278_bp`
    `int` | `field_110279_bq`

    - ### Fields inherited from class net.minecraft.entity.passive.EntityAnimal

      `inLove`

    - ### Fields inherited from class net.minecraft.entity.EntityCreature

      `field_110179_h, field_110181_i`

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `experienceValue, livingSoundTime, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, deathTime, field_70769_ao, field_70770_ap, hurtTime, isSwingInProgress, jumpMovementFactor, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityHorse(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowLeashing()`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)` Called when the entity is attacked.
    `boolean` | `canBePushed()` Returns true if this entity should push and be pushed by other entities when colliding.
    `boolean` | `canMateWith(EntityAnimal par1EntityAnimal)` Returns true if the mob is currently able to mate with the specified mob.
    `EntityAgeable` | `createChild(EntityAgeable par1EntityAgeable)`
    `void` | `dropChestItems()`
    `void` | `dropChests()`
    `float` | `func_110201_q(float par1)`
    `boolean` | `func_110205_ce()`
    `static boolean` | `func_110211_v(int par0)`
    `boolean` | `func_110222_cv()`
    `boolean` | `func_110229_cs()`
    `void` | `func_110236_r(int par1)`
    `boolean` | `func_110239_cn()`
    `int` | `func_110241_cb()`
    `void` | `func_110242_l(boolean par1)`
    `boolean` | `func_110253_bW()`
    `boolean` | `func_110256_cu()`
    `boolean` | `func_110259_cr()`
    `boolean` | `getCanSpawnHere()` Checks if the entity's current position is a valid location to spawn this entity.
    `String` | `getEntityName()` Gets the username of the entity.
    `float` | `getGrassEatingAmount(float par1)`
    `boolean` | `getHasReproduced()`
    `int` | `getHorseArmorIndex(ItemStack par1ItemStack)` 0 = iron, 1 = gold, 2 = diamond
    `double` | `getHorseJumpStrength()`
    `float` | `getHorseSize()`
    `String` | `getHorseTexture()`
    `int` | `getHorseType()` returns the horse type
    `int` | `getHorseVariant()`
    `int` | `getMaxSpawnedInChunk()` Will return how many at most can spawn in a chunk at once.
    `int` | `getMaxTemper()`
    `String` | `getOwnerName()`
    `float` | `getRearingAmount(float par1)`
    `int` | `getTalkInterval()` Get number of ticks, at least during which the living entity will be silent.
    `int` | `getTemper()`
    `int` | `getTotalArmorValue()` Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
    `String[]` | `getVariantTexturePaths()`
    `void` | `handleHealthUpdate(byte par1)`
    `int` | `increaseTemper(int par1)`
    `boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
    `boolean` | `isAdultHorse()`
    `boolean` | `isBreedingItem(ItemStack par1ItemStack)` Checks if the parameter is an item which this animal can be fed to breed it (wheat, carrots or seeds depending on the animal type)
    `boolean` | `isChested()`
    `boolean` | `isEatingHaystack()`
    `boolean` | `isHorseJumping()`
    `boolean` | `isHorseSaddled()`
    `boolean` | `isOnLadder()` returns true if this entity is by a ladder, false otherwise
    `boolean` | `isRearing()`
    `boolean` | `isTame()`
    `void` | `makeHorseRearWithSound()`
    `void` | `moveEntityWithHeading(float par1, float par2)` Moves the entity based on the specified heading.
    `void` | `onDeath(DamageSource par1DamageSource)` Called when the mob's health reaches 0.
    `void` | `onInventoryChanged(InventoryBasic par1InventoryBasic)` Called by InventoryBasic.onInventoryChanged() on a array that is never filled.
    `void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
    `EntityLivingData` | `onSpawnWithEgg(EntityLivingData par1EntityLivingData)`
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `openGUI(EntityPlayer par1EntityPlayer)`
    `boolean` | `prepareChunkForSpawn()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
    `void` | `setChested(boolean par1)`
    `void` | `setEating(boolean par1)`
    `void` | `setEatingHaystack(boolean par1)`
    `void` | `setHasReproduced(boolean par1)`
    `void` | `setHorseJumping(boolean par1)`
    `void` | `setHorseSaddled(boolean par1)`
    `void` | `setHorseTamed(boolean par1)`
    `void` | `setHorseType(int par1)`
    `void` | `setHorseVariant(int par1)`
    `void` | `setJumpPower(int par1)`
    `void` | `setOwnerName(String par1Str)`
    `void` | `setRearing(boolean par1)`
    `void` | `setScaleForAge(boolean par1)` "Sets the scale for an ageable entity according to the boolean parameter, which says if it's a child."
    `boolean` | `setTamedBy(EntityPlayer par1EntityPlayer)`
    `void` | `setTemper(int par1)`
    `void` | `updateRiderPosition()`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

    - ### Methods inherited from class net.minecraft.entity.passive.EntityAnimal

      `func_110196_bT, getBlockPathWeight, isInLove, resetInLove`

    - ### Methods inherited from class net.minecraft.entity.EntityAgeable

      `addGrowth, getGrowingAge, isChild, setGrowingAge`

    - ### Methods inherited from class net.minecraft.entity.EntityCreature

      `detachHome, func_110173_bK, func_110174_bM, func_110176_b, getEntityToAttack, getHomePosition, hasHome, hasPath, setHomeArea, setPathToEntity, setTarget`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `canAttackClass, canBeSteered, canPickUpLoot, clearLeashed, eatGrassBonus, faceEntity, func_110163_bv, func_130225_q, getAlwaysRenderNameTag, getAlwaysRenderNameTagForRender, getArmorItemForSlot, getArmorPosition, getAttackTarget, getCurrentItemOrArmor, getCustomNameTag, getEntitySenses, getHeldItem, getJumpHelper, getLastActiveItems, getLeashed, getLeashedToEntity, getLookHelper, getMaxSafePointTries, getMoveHelper, getNavigator, getRenderSizeModifier, getVerticalFaceSpeed, hasCustomNameTag, interactFirst, isNoDespawnRequired, onEntityUpdate, playLivingSound, setAIMoveSpeed, setAlwaysRenderNameTag, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setCustomNameTag, setEquipmentDropChance, setLeashedToEntity, setMoveForward, spawnExplosionParticle`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, attackEntityAsMob, canBeCollidedWith, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, dismountEntity, func_110142_aN, func_142015_aE, func_94060_bK, getAbsorptionAmount, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getEyeHeight, getHealth, getItemIcon, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSwingProgress, getTeam, heal, isClientWorld, isEntityAlive, isEntityUndead, isOnSameTeam, isOnTeam, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, knockBack, onItemPickup, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAbsorptionAmount, setArrowCountInEntity, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, getAir, getBlockExplosionResistance, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getTeleportDirection, getTranslatedEntityName, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onChunkLoad, onCollideWithPlayer, onKillEntity, onStruckByLightning, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setFire, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldExplodeBlock, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_110278_bp

          public int field_110278_bp

    - #### field_110279_bq

          public int field_110279_bq

  - ### Constructor Detail

    - #### EntityHorse

          public EntityHorse(World par1World)

  - ### Method Detail

    - #### setHorseType

          public void setHorseType(int par1)

    - #### getHorseType

          public int getHorseType()

      returns the horse type

    - #### setHorseVariant

          public void setHorseVariant(int par1)

    - #### getHorseVariant

          public int getHorseVariant()

    - #### getEntityName

          public String getEntityName()

      Gets the username of the entity.
      Overrides:
        `getEntityName` in class `EntityLiving`

    - #### isAdultHorse

          public boolean isAdultHorse()

    - #### isTame

          public boolean isTame()

    - #### func_110253_bW

          public boolean func_110253_bW()

    - #### getOwnerName

          public String getOwnerName()

    - #### setOwnerName

          public void setOwnerName(String par1Str)

    - #### getHorseSize

          public float getHorseSize()

    - #### setScaleForAge

          public void setScaleForAge(boolean par1)

      "Sets the scale for an ageable entity according to the boolean parameter, which says if it's a child."
      Overrides:
        `setScaleForAge` in class `EntityAgeable`

    - #### isHorseJumping

          public boolean isHorseJumping()

    - #### setHorseTamed

          public void setHorseTamed(boolean par1)

    - #### setHorseJumping

          public void setHorseJumping(boolean par1)

    - #### allowLeashing

          public boolean allowLeashing()

      Overrides:
        `allowLeashing` in class `EntityLiving`

    - #### isChested

          public boolean isChested()

    - #### func_110241_cb

          public int func_110241_cb()

    - #### getHorseArmorIndex

          public int getHorseArmorIndex(ItemStack par1ItemStack)

      0 = iron, 1 = gold, 2 = diamond

    - #### isEatingHaystack

          public boolean isEatingHaystack()

    - #### isRearing

          public boolean isRearing()

    - #### func_110205_ce

          public boolean func_110205_ce()

    - #### getHasReproduced

          public boolean getHasReproduced()

    - #### func_110236_r

          public void func_110236_r(int par1)

    - #### func_110242_l

          public void func_110242_l(boolean par1)

    - #### setChested

          public void setChested(boolean par1)

    - #### setHasReproduced

          public void setHasReproduced(boolean par1)

    - #### setHorseSaddled

          public void setHorseSaddled(boolean par1)

    - #### getTemper

          public int getTemper()

    - #### setTemper

          public void setTemper(int par1)

    - #### increaseTemper

          public int increaseTemper(int par1)

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Called when the entity is attacked.
      Overrides:
        `attackEntityFrom` in class `EntityAnimal`

    - #### getTotalArmorValue

          public int getTotalArmorValue()

      Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
      Overrides:
        `getTotalArmorValue` in class `EntityLivingBase`

    - #### canBePushed

          public boolean canBePushed()

      Returns true if this entity should push and be pushed by other entities when colliding.
      Overrides:
        `canBePushed` in class `EntityLivingBase`

    - #### prepareChunkForSpawn

          public boolean prepareChunkForSpawn()

    - #### dropChests

          public void dropChests()

    - #### onInventoryChanged

          public void onInventoryChanged(InventoryBasic par1InventoryBasic)

      Called by InventoryBasic.onInventoryChanged() on a array that is never filled.
      Specified by:
        `onInventoryChanged` in interface `IInvBasic`

    - #### getCanSpawnHere

          public boolean getCanSpawnHere()

      Checks if the entity's current position is a valid location to spawn this entity.
      Overrides:
        `getCanSpawnHere` in class `EntityAnimal`

    - #### getHorseJumpStrength

          public double getHorseJumpStrength()

    - #### isHorseSaddled

          public boolean isHorseSaddled()

    - #### getMaxSpawnedInChunk

          public int getMaxSpawnedInChunk()

      Will return how many at most can spawn in a chunk at once.
      Overrides:
        `getMaxSpawnedInChunk` in class `EntityLiving`

    - #### getMaxTemper

          public int getMaxTemper()

    - #### getTalkInterval

          public int getTalkInterval()

      Get number of ticks, at least during which the living entity will be silent.
      Overrides:
        `getTalkInterval` in class `EntityAnimal`

    - #### func_110239_cn

          public boolean func_110239_cn()

    - #### getHorseTexture

          public String getHorseTexture()

    - #### getVariantTexturePaths

          public String[] getVariantTexturePaths()

    - #### openGUI

          public void openGUI(EntityPlayer par1EntityPlayer)

    - #### interact

          public boolean interact(EntityPlayer par1EntityPlayer)

      Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.
      Overrides:
        `interact` in class `EntityAnimal`

    - #### func_110259_cr

          public boolean func_110259_cr()

    - #### func_110229_cs

          public boolean func_110229_cs()

    - #### func_110256_cu

          public boolean func_110256_cu()

    - #### func_110222_cv

          public boolean func_110222_cv()

    - #### isBreedingItem

          public boolean isBreedingItem(ItemStack par1ItemStack)

      Checks if the parameter is an item which this animal can be fed to breed it (wheat, carrots or seeds depending on the animal type)
      Overrides:
        `isBreedingItem` in class `EntityAnimal`

    - #### onDeath

          public void onDeath(DamageSource par1DamageSource)

      Called when the mob's health reaches 0.
      Overrides:
        `onDeath` in class `EntityLivingBase`

    - #### onLivingUpdate

          public void onLivingUpdate()

      Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.
      Overrides:
        `onLivingUpdate` in class `EntityAnimal`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityLiving`

    - #### setEating

          public void setEating(boolean par1)

      Overrides:
        `setEating` in class `Entity`

    - #### setEatingHaystack

          public void setEatingHaystack(boolean par1)

    - #### setRearing

          public void setRearing(boolean par1)

    - #### makeHorseRearWithSound

          public void makeHorseRearWithSound()

    - #### dropChestItems

          public void dropChestItems()

    - #### setTamedBy

          public boolean setTamedBy(EntityPlayer par1EntityPlayer)

    - #### moveEntityWithHeading

          public void moveEntityWithHeading(float par1,
                                   float par2)

      Moves the entity based on the specified heading. Args: strafe, forward
      Overrides:
        `moveEntityWithHeading` in class `EntityLivingBase`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to write subclass entity data to NBT.
      Overrides:
        `writeEntityToNBT` in class `EntityAnimal`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to read subclass entity data from NBT.
      Overrides:
        `readEntityFromNBT` in class `EntityAnimal`

    - #### canMateWith

          public boolean canMateWith(EntityAnimal par1EntityAnimal)

      Returns true if the mob is currently able to mate with the specified mob.
      Overrides:
        `canMateWith` in class `EntityAnimal`

    - #### createChild

          public EntityAgeable createChild(EntityAgeable par1EntityAgeable)

      Specified by:
        `createChild` in class `EntityAgeable`

    - #### onSpawnWithEgg

          public EntityLivingData onSpawnWithEgg(EntityLivingData par1EntityLivingData)

      Overrides:
        `onSpawnWithEgg` in class `EntityLiving`

    - #### getGrassEatingAmount

          public float getGrassEatingAmount(float par1)

    - #### getRearingAmount

          public float getRearingAmount(float par1)

    - #### func_110201_q

          public float func_110201_q(float par1)

    - #### setJumpPower

          public void setJumpPower(int par1)

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `EntityAnimal`

    - #### updateRiderPosition

          public void updateRiderPosition()

      Overrides:
        `updateRiderPosition` in class `Entity`

    - #### func_110211_v

          public static boolean func_110211_v(int par0)

    - #### isOnLadder

          public boolean isOnLadder()

      returns true if this entity is by a ladder, false otherwise
      Overrides:
        `isOnLadder` in class `EntityLivingBase`